ru.bitel.bgbilling.modules.voice.api.server.bean

## Class VoiceDestinationDao

- java.lang.Object
- - ru.bitel.common.dao.AbstarctDaoConstant
  - - ru.bitel.common.dao.AbstractDao<B>
    - - ru.bitel.common.dao.AbstractIdDao<VoiceDestination>
      - - ru.bitel.bgbilling.modules.voice.api.server.bean.VoiceDestinationDao

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class VoiceDestinationDao
      extends ru.bitel.common.dao.AbstractIdDao<VoiceDestination>

  Даошка для работы с направлениями модуля Voice. Позволяет добавлять/изменять, удалять, получать одно или список направлений. Используется в т.ч. системой справочников.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `VOICE_DESTINATION_TABLE`

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, mid, moduleId, orderByPattern, tableName`

    - ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `ERROR, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VoiceDestinationDao(java.sql.Connection con, int mid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `delete(java.util.List<java.lang.Integer> idList)` Удаление списка направлений, указанных в виде списка id направлений.
    `VoiceDestination` | `get(java.lang.String title)` Получение одного конкретного направления по его названию с учетом полного совпадения названия.
    `protected VoiceDestination` | `getFromRS(java.sql.ResultSet rs)`
    `java.util.Map<java.lang.Integer,VoiceDestination>` | `idMap(int operatorId)`
    `java.util.List<VoiceDestination>` | `list(int operatorId, java.lang.String title, Page page)` Получение списка направлений оператора.
    `java.util.Map<java.lang.String,VoiceDestination>` | `titleMap(int operatorId)` Справочник направлений в виде мапа "название = бин направления"
    `protected void` | `updateImpl(VoiceDestination b)`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

      `delete, get, getAndDelete, getAndUpdate`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam, update`

    - ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `getSQLOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VOICE_DESTINATION_TABLE

          public static final java.lang.String VOICE_DESTINATION_TABLE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### VoiceDestinationDao

          public VoiceDestinationDao(java.sql.Connection con,
                                     int mid)

  - ### Method Detail

    - #### getFromRS

          protected VoiceDestination getFromRS(java.sql.ResultSet rs)
                                        throws java.sql.SQLException,
                                               ru.bitel.bgbilling.common.BGException

      Specified by:
        `getFromRS` in class `ru.bitel.common.dao.AbstractDao<VoiceDestination>`
      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`

    - #### updateImpl

          protected void updateImpl(VoiceDestination b)
                             throws ru.bitel.bgbilling.common.BGException,
                                    java.sql.SQLException

      Specified by:
        `updateImpl` in class `ru.bitel.common.dao.AbstractDao<VoiceDestination>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `java.sql.SQLException`

    - #### titleMap

          public java.util.Map<java.lang.String,VoiceDestination> titleMap(int operatorId)
                                                                    throws ru.bitel.bgbilling.common.BGException

      Справочник направлений в виде мапа "название = бин направления"
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### idMap

          public java.util.Map<java.lang.Integer,VoiceDestination> idMap(int operatorId)
                                                                  throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### list

          public java.util.List<VoiceDestination> list(int operatorId,
                                                       java.lang.String title,
                                                       Page page)
                                                throws ru.bitel.bgbilling.common.BGException

      Получение списка направлений оператора. Если параметр operatorId не задан, то
      Parameters:
        `operatorId` -
        `page` - текущая страница в клиенте
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### delete

          public int delete(java.util.List<java.lang.Integer> idList)
                     throws ru.bitel.bgbilling.common.BGException

      Удаление списка направлений, указанных в виде списка id направлений.
      Parameters:
        `idList` - список id направлений
      Returns:
        число удаленных строк из БД.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### get

          public VoiceDestination get(java.lang.String title)
                               throws ru.bitel.bgbilling.common.BGException

      Получение одного конкретного направления по его названию с учетом полного совпадения названия.
      Parameters:
        `title` - название искомого направления
      Returns:
        направление
      Throws:
        `ru.bitel.bgbilling.common.BGException`